package com.skr.mdm.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author nfq
 * code: alibaba错误码列表
 */

@Getter
@AllArgsConstructor
public enum ResultCodeEnum {

	/**
	 * 服务状态信息
	 */
	SUCCESS("00000", "成功"),
	FAILURE("B0001", "服务器异常，请稍后再试"),
	CLIENT_ERROR("A0001", "客户端错误"),
	ILLEGAL_REQUEST("A0103", "非法请求，拒绝访问"),
	USER_EXIST("A0111", "用户信息重复"),
	USER_VERIFY("A0113", "用户名包含特殊字符"),
	EQUIPMENT_VERIFY("A0113", "设备名包含特殊字符"),
	LOGIN_FAILURE("A0120", "用户名或密码错误"),
	SEND_PWD_FAILURE("A0121", "用户名或密码错误"),
	PASSWORD_FAILURE("A0123", "密码校验失败"),
	EMAIL_ERROR("A0153", "邮箱格式校验失败"),
	BLOCKED_ACCOUNT("A0202", "账户被冻结，请联系管理员!"),
	IMEI_NONE("A0204", "IMEI不存在"),
	OAID_NONE("A0205", "OAID不存在"),
	UUID_NONE("A0206", "UUID不存在"),
	LOGIN_EXPIRE("A0230", "用户登录已过期"),
	REFRESH_TOKEN_EXPIRE("A0231", "refresh_token已失效,请重新登录"),
	TOKEN_EXPIRE("A0232", "token已失效"),
	TOKEN_ILLEGAL("A0233", "令牌不合法"),
	LOGIN_NONE("A0234", "用户未登录，请先登录"),
	ACCESS_DENIED("A0300", "访问未授权"),
	VERIFY_CODE_ERROR("A0240", "验证码错误"),
	VERIFY_CODE_TRYOUT("A0241", "验证码尝试次数超限"),
	VERIFY_CODE_EMPTY("A0242", "验证码为空"),
	VERIFY_CODE_EXPIRE("A0243", "验证码失效"),
	TIME_CHECK("A0244", "请校对设备时间或服务器时间"),
	NUMBER_OVER("A0330", "设备数量超出限制，无法注册，请联系管理员!"),
	ALLOW_NUMBER_ERROR("A0428", "授权数量不能小于当前已注册设备数量"),
	AUTHORIZATION_EXPIRES("A0311", "授权已过期"),
	IOU_MESSAGE_EXIST("A0698", "IMEI、UUID、OAID、手机号信息重复"),
	APP_STORE_IN_USE("A0697", "当前类型存在引用，删除失败！"),
	DEVICE_NAME_MESSAGE_EXIST("A0687", "设备名称 信息重复"),
	SERVER_MESSAGE_EXIST("A0700", "信息重复"),
	FILE_SIZE_MAX("A0703", "文件超过限制30KB大小"),
	FILE_STORE_OPERATE("A0699", "应用包名重复,版本存在不同"),
	FILE_TYPE_MATCHING("A0701", "上传文件类型不匹配"),
	CLIENT_TYPE_MATCHING("A0701", "请勿上传客户端安装包"),
	FILE_MESSAGE_NONE("A0702", "文件信息异常 ，格式错误"),
	FILE_IMPORT_SUCCESS("00000", "此导入无成功数据,请检查数据(非空、格式、重复等条件)"),
	APP_ANALYSIS_FAILURE("A0800", "文件解析失败"),
	STRATEGY_NAME_REPEAT("A1101", "策略名称已存在"),
	FUNCTION_SCOPE_REPEAT("A1102", "功能范围名称已存在"),
	ROLE_NAME_REPEAT("A1103", "角色名已存在"),
	ROLE_ADMIN_EXIT("A1104", "该角色下存在管理员,不能删除!"),
	ADMIN_NAME_REPEAT("A1105", "管理员名称已存在"),
	EMAIL_REPEAT("A1106", "该邮箱已存在"),
	COMPANY_NAME_REPEAT("A1107", "该公司名称已存在"),
	DEPARTMENT_EXIST_USER("A0704", "部门、子级部门下存在用户"),
	INSTRUCT_NOT_EXIST("A0705", "当前指令未定义"),
	GAO_DEL_MSG_FAILURE("A0801", "高德访问异常,操作失败!"),
	STRATEGY_DISABLE("A1107", "策略禁用状态无法执行该操作，请先启用"),
	SERVER_CONNECT_TIMEOUT("A1109", "请求超时！"),
	CLIENT_NONE_LOGIN("A1110", "客户端当前未在线，获取失败！"),
	OPERATION_FAILURE("A1111", "操作异常!"),
	DOWNLOAD_RECORD("A1112", "当前时间段无数据!"),
	FUNCTION_SCOPE_COMPANY_EXIT("A1108", "存在公司引用此范围，删除失败！"),
	CLIENT_ADD_OA_LEAVE("C0002", "OA-客户端申请，用户已存在相同请假条件, 申请失败！"),

	/**
	 * 客户端检测异常提示信息
	 */
	SYS_CHANGE_CERTIFICATE_NOT_EXIT("C0001", "没有匹配的服务器信息，请重试！")
	;



	private final String code;
	private final String msg;

	}